<template>
  <div class="trends-page">
    <v-container class="pa-0 ma-0 text-start">
      <v-img
        :src="require(`@/assets/img/arrowleft.svg`)"
        contain
        @click="
          () => {
            $router.go(-1);
          }
        "
        class="mr-2"
        max-width="23"
      />
      <span
        @click="
          () => {
            $router.go(-1);
          }
        "
        class="back-text"
        >Volver a Tendencias</span
      >
    </v-container>
    <v-container fluid class="ma-0 pa-0">
      <iframe class="iframe" :src="article.media" frameborder="0" />
    </v-container>
    <v-row>
      <v-col />
      <v-col cols="7">
        <v-chip
          class="ma-2 roboto"
          color="tway-apple-green"
          text-color="white"
          v-for="article in article.tags"
          :key="article"
        >
          {{ article }}
        </v-chip>
      </v-col>
    </v-row>
    <!-- <div class="article pt-0">
      <v-container>
        <breadcrumbs :items="breadcrumbs" />
        <div class="text-h5 tway-violet--text">
          {{ article.title }}
        </div>
        <div
          v-if="article.attribution[0]"
          class="tway-body grey--text my-3"
        >
          {{ article.attribution[0].author }}, {{ getDate(article.createdOn) }}
        </div>
        <div
          class="tway-headline-3 black--text py-3"
          style="max-width: 730px;"
        >
          {{ article.summary }}
        </div>
        <v-layout row>
          <v-flex
            xs12
            md6
            v-if="article.media"
            class="px-3"
          >
            <v-img
              :src="article.media"
              contain
              max-height="630"
            >
              <template v-slot:placeholder>
                <v-row
                  class="fill-height ma-0"
                  align="center"
                  justify="center"
                >
                  <v-progress-circular
                    indeterminate
                    color="grey lighten-5"
                  />
                </v-row>
              </template>
            </v-img>
            <div class="tway-body grey--text mt-2">
              {{ article.caption }}
            </div>
          </v-flex>
          <v-flex
            xs12
            md6
            class="px-3"
          >
            <div v-if="article.body !== null">
              <p v-html="article.body" />
              <tag-group :tags="article.tags" />
            </div>
            <div v-if="article.questions !== null">
              <div
                v-for="(question, n) in article.questions"
                :key="n"
                class="mb-3"
              >
                <span class="tway-morado--text font-weight-bold">
                  {{ n + 1 }}.
                </span>
                <span>
                  {{ question }}
                </span>
              </div>
            </div>
          </v-flex>
        </v-layout>
        <div
          v-if="article.href"
        >
          <v-btn
            text
            :href="article.href"
            target="_blank"
            color="tway-morado"
          >
            <v-icon left>
              mdi-open-in-new
            </v-icon>
            Ver artículo completo aquí
          </v-btn>
        </div>
      </v-container>
    </div>
    <v-container
      v-if="mobile"
      fluid
      class="pa-0 ma-0 text-center"
    >
      <div
        class="scrolltop"
        @click="scrollTop()"
      >
        <v-img
          :src="require(`@/assets/img/arrowtop.svg`)"
          contain
        />
      </div>
    </v-container> -->
  </div>
</template>

<style lang="scss" scoped>
.text-start {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  div,
  span {
    cursor: pointer;
  }
}
.text-center {
  display: flex;
  justify-content: center;
  align-content: center;
  div,
  span {
    cursor: pointer;
  }
}
.back-text {
  font-size: 16px;
  color: #999999;
}
.scrolltop {
  border-radius: 100%;
  background: #dcc5f4;
  height: 50px;
  width: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  div {
    max-width: 40% !important;
  }
}
.iframe {
  width: 100%;
  height: 80vh;
}
</style>

<script>
// import Breadcrumbs from '@/components/Breadcrumbs';
// import TagGroup from '@/components/TagGroup';
import CompanyService from "@/services/companyService";

import TrendsNewsJSON from "@/utils/trends-news.json";
import TrendService from "@/services/trendService";

export default {
  name: "TrendPost",

  components: {
    // Breadcrumbs,
    // TagGroup
  },

  data: () => ({
    breadcrumbs: [
      {
        text: "Tendencias",
        disabled: false,
        exact: true,
        to: {
          name: "trends",
        },
      },
      {
        text: "",
        disabled: true,
        exact: true,
        to: {
          name: "trends-post",
        },
      },
    ],
    posts: TrendsNewsJSON,
    article: {
      // id: null,
      // title: null,
      // subtitle: null,
      // author: null,
      // date: null,
      // body: null,
      // img: null,
      // caption: null,
      // tags: [],

      attribution: [],
      body: "",
      category: "",
      contentType: "",
      createdOn: "",
      flag: "",
      id: "",
      isPublic: null,
      media: "",
      status: null,
      summary: null,
      tags: [],
      title: "",
    },
    clientType: "",
  }),

  created() {
    this.getCompany();
    this.article.id = this.$route.params.id;
    //this.getArticle();
    window.scrollTo(0, 0);
    TrendService.getTrend(this.article.id)
      .then((trend) => {
        console.log(trend);
        this.article = trend;
        this.breadcrumbs[1].text = this.article.title;
      })
      .catch((err) => {
        this.$log.error(err);
      });
  },

  methods: {
    scrollTop() {
      window.scrollTo(0, 0);
    },
    getCompany() {
      CompanyService.getCompanyProfile()
        .then((company) => (this.clientType = this._.get(company, "type")))
        .catch((err) => console.log(err));
    },
    getDate(timestamp) {
      let unix_timestamp = timestamp;
      var date = new Date(unix_timestamp);

      return date.toLocaleDateString("es", {
        year: "numeric",
        month: "2-digit",
        day: "numeric",
      });
    },
  },

  watch: {
    // clientType() {
    //   if (this.clientType !== 'CLIENT') {
    //     this.$router.push({ name: 'home'});
    //   }
    // }
  },
  computed: {
    mobile() {
      return this.$vuetify.breakpoint.sm || this.$vuetify.breakpoint.xs;
    },
  },
};
</script>

<style scoped>
.article {
  padding-top: 50px;
  padding-bottom: 50px;
}
</style>
